package ${basePackage}.${moduleName}.ent;

<#if table.has('Date')>
import java.util.Date;
</#if>
<#list table.fields as field>
<#if field.fieldType.javaType() == "Enum">
import ${basePackage}.${moduleName}.enums.${field.getCName()};
</#if>
</#list>
import ${basePackage}.frame.base.BaseEntity;

/**
 * ${table.tableName} - ${table.tableComment}
 *
 * @author ${author?default("")}
 * @version 0.0.1
 * @since ${date?string("yyyy-MM-dd")}
 */
public class ${table.getCName()} extends BaseEntity {

<#list table.fields as field>
<#if field.fieldType.javaType() == "Enum">
    /**
     * ${field.fieldName} - ${field.fieldComment?default("")}
     */
    private ${field.getCName()} ${field.getFName()};

<#elseif !field.isSystem || field.fieldName == 'ID'>
    /**
     * ${field.fieldName} - ${field.fieldComment?default("")}
     */
    private ${field.fieldType.javaType()} ${field.getFName()};
</#if>
</#list>
<#list table.fields as field>
<#if field.fieldType.javaType() == "Enum">

    public ${field.getCName()} ${field.getterName()}() {
        return this.${field.getFName()};
    }

    public void ${field.setterName()}(${field.getCName()} ${field.getFName()}) {
        this.${field.getFName()} = ${field.getFName()};
    }
<#elseif !field.isSystem || field.fieldName == 'ID' >

    public ${field.fieldType.javaType()} ${field.getterName()}() {
        return this.${field.getFName()};
    }

    public void ${field.setterName()}(${field.fieldType.javaType()} ${field.getFName()}) {
        this.${field.getFName()} = ${field.getFName()};
    }
</#if>
</#list>
}